Subject: What are some facts about Hitler?
From: World History <[email-masked]>
To: [email-masked]
Date: Tue, 15 Sep 2020 15:16:12 +0000

Trending Stories from World History

-----

Question: What are some facts about Hitler?

Answer from Tudor Ion

1 ) During WW2, the American Secret Service tried to put female hormones in Hitler’s food to make him more feminine

2 ) In 1938, Hitler was TIME Magazine's Man of the Year

3
Read More: http://www.quora.com/What-are-some-facts-about-Hitler?top_ans=95734248
-----
Question: What are some events of WW2 that were not publicized?

Answer from Andrei Ţaga

The following is not necessarily unpublicized, but widely unknown and underrated.

During 1942, in German-occupied Kiev, there were several football matches between Soviet POW
Read More: http://www.quora.com/What-are-some-events-of-WW2-that-were-not-publicized?top_ans=176787291
-----
Question: Why is the Chinese Communist Party afraid of democracy?

Answer from Ezio Yao

Very good question, I will answer this question very seriously. What I said is not to emphasize which political system is better. I just want to answer this question directly 
Read More: http://www.quora.com/Why-is-the-Chinese-Communist-Party-afraid-of-democracy?top_ans=234069411
-----

-----
To control which emails we send you, visit: https://www.quora.com/qemail/track_click?aoid&aoty=14&aty=4&cp=0&ct=1600182971127985&et=146&id=af8e0851b50c4390a57a6a3a0aac4a3b&notif_type=418&request_id=418&snid=11786358413&src=1&st=1600182971132761&stories=%5B(%3Cstory_types.tribe_post%3A+10%3E%2C+11544733)%2C+(%3Cstory_types.tribe_post%3A+10%3E%2C+11604612)%2C+(%3Cstory_types.tribe_post%3A+10%3E%2C+12059631)%5D&tribe_item_ids=IQ2Yn92EISF%7CbVXmPaPnNby%7CmB8SyDfZv1F&uid=FBLnBubrIia&v=0

To unsubscribe from this type of email, visit: http://www.quora.com/email_optout/qemail_unsubscribe?email_track_id=af8e0851b50c4390a57a6a3a0aac4a3b&t=1600182971305620&token=5ea64a9d67833f5666bc8d262658f2c7dd80fc29572c101f73c22b51c2d303cbf0251aa306a6ed150b67e3cd75a58812553f1a2855d5ded302a3a35cbebb6c66&type=146&uid=1260103732